XSetArcMode(3X11)

NAME
XSetArcMode, XSetSubwindowMode, XSetGraphicsExposure - GC convenience routines

SYNTAX

int XSetArcMode(Display *display, GC gc, int arc_mode);

int XSetSubwindowMode(Display *display, GC gc, int subwindow_mode);

int XSetGraphicsExposures(Display *display, GC gc, Bool graphics_exposures);

ARGUMENTS

arc_mode
    Specifies the arc mode. You can pass or

display
    Specifies the connection to the X server.

gc  Specifies the GC.

graphics_exposures
    Specifies a Boolean value that indicates whether you want and events to be reported when calling and with this GC.

subwindow_mode
    Specifies the subwindow mode. You can pass or

DESCRIPTION
The function sets the arc mode in the specified GC.

can generate and errors.

The function sets the subwindow mode in the specified GC.

can generate and errors.

The function sets the graphics-exposures flag in the specified GC.

can generate and errors.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a GContext argument does not name a defined GContext.

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

SEE ALSO
XCopyArea(3X11), XCreateGC(3X11), XQueryBestSize(3X11), XSetClipOrigin(3X11), XSetFillStyle(3X11), XSetFont(3X11), XSetLineAttributes(3X11), XSetState(3X11), XSetTile(3X11)
Xlib - C Language X Interface